Index: trunk/org.modelica.mdt/src/org/modelica/mdt/NewClassWizard.java
===================================================================
--- trunk/org.modelica.mdt/src/org/modelica/mdt/NewClassWizard.java	(revision 63)
+++ trunk/org.modelica.mdt/src/org/modelica/mdt/NewClassWizard.java	(revision 64)
@@ -90,4 +90,11 @@
 public class NewClassWizard extends Wizard implements INewWizard
 {
+	/* key widgets' tags for abbot */
+	public static final String SOURCE_FOLDER_TAG = "sourceFolderTag";
+	public static final String CLASS_NAME_TAG = "classNameTag";
+	public static final String CLASS_TYPE_TAG = "classTypeTag";
+	public static final String INITIAL_EQUATION_TAG = "initEqTag";
+	public static final String PARTIAL_CLASS_TAG = "partialTypeTag";
+	public static final String EXTERNAL_BODY_TAG = "extBodyTag";
 	
 	public class NewClassPage extends WizardPage
@@ -152,4 +159,5 @@
 	        gd = new GridData(GridData.HORIZONTAL_ALIGN_FILL | GridData.GRAB_HORIZONTAL);
 	        sourceFolder.setLayoutData(gd);
+	        MdtPlugin.tag(sourceFolder, SOURCE_FOLDER_TAG);
 	        setSourceFolder(selection);
 	        
@@ -189,4 +197,5 @@
 	        gd.horizontalSpan = 2;
 	        className.setLayoutData(gd);
+	        MdtPlugin.tag(className, CLASS_NAME_TAG);
 
 	        className.addModifyListener(new ModifyListener()
@@ -222,5 +231,6 @@
 	        classType.setVisibleItemCount(7);
 	        classType.select(0);	        
-	        		
+	        MdtPlugin.tag(classType, CLASS_TYPE_TAG);
+	        
 	        gd = new GridData();
 	        gd.horizontalAlignment = GridData.BEGINNING;
@@ -268,4 +278,5 @@
 	        initialEquation = new Button(composite, SWT.CHECK);
 	        initialEquation.setText("include initial equation block");
+	        MdtPlugin.tag(initialEquation, INITIAL_EQUATION_TAG);
 	        
 	        gd = new GridData();
@@ -283,4 +294,5 @@
 	        gd.horizontalSpan = 2;
 	        partialClass.setLayoutData(gd);
+	        MdtPlugin.tag(partialClass, PARTIAL_CLASS_TAG);
 
 	        /* external body */
@@ -289,4 +301,5 @@
 	        externalBody.setText("have external body");
 	        externalBody.setEnabled(false);
+	        MdtPlugin.tag(externalBody, EXTERNAL_BODY_TAG);
 	        
 	        gd = new GridData();
Index: trunk/org.modelica.mdt/src/org/modelica/mdt/NewProjectWizard.java
===================================================================
--- trunk/org.modelica.mdt/src/org/modelica/mdt/NewProjectWizard.java	(revision 63)
+++ trunk/org.modelica.mdt/src/org/modelica/mdt/NewProjectWizard.java	(revision 64)
@@ -44,4 +44,5 @@
 import org.modelica.mdt.core.Utility;
 
+import org.eclipse.core.resources.IProject;
 import org.eclipse.core.resources.IResource;
 import org.eclipse.core.resources.ResourcesPlugin;
@@ -153,6 +154,8 @@
 	public boolean performFinish()
 	{
-		return Utility.createProject(projectPage.projectName.getText(), 
-				this.getContainer());
+		IProject proj = 
+			Utility.createProject(projectPage.projectName.getText(), this.getContainer());
+		
+		return proj != null;
 	}
 	
Index: trunk/org.modelica.mdt/src/org/modelica/mdt/core/Utility.java
===================================================================
--- trunk/org.modelica.mdt/src/org/modelica/mdt/core/Utility.java	(revision 63)
+++ trunk/org.modelica.mdt/src/org/modelica/mdt/core/Utility.java	(revision 64)
@@ -65,11 +65,14 @@
 	/**
 	 * creates a modelica project in the workspace
+	 * 
+	 * @return the handle to the created project or null if there were errors during 
+	 * creation of the project
 	 */
-	public static boolean createProject(String name, IRunnableContext context)
+	public static IProject createProject(String name, IRunnableContext context)
 	{
+		IProject project = null;		
 		try 
 		{
-			IProject project = 
-				ResourcesPlugin.getWorkspace().getRoot().getProject(name);
+			project = ResourcesPlugin.getWorkspace().getRoot().getProject(name);
 			
 			context.run(false, false, 
@@ -85,7 +88,8 @@
 		catch (InterruptedException e)
 		{
-			return false;
+			/* NOP */
 		}
-		return true;
+		
+		return project;
 		
 	}