Index: trunk/org.modelica.mdt/src/org/modelica/mdt/corba/ModeqCommunication.java
===================================================================
--- trunk/org.modelica.mdt/src/org/modelica/mdt/corba/ModeqCommunication.java	(revision 73)
+++ trunk/org.modelica.mdt/src/org/modelica/mdt/corba/ModeqCommunication.java	(revision 73)
@@ -0,0 +1,14 @@
+package org.modelica.mdt.corba;
+
+/**
+* ModeqCommunication.java .
+* Generated by the IDL-to-Java compiler (portable), version "3.2"
+* from modeq_communication.idl
+* den 7 oktober 2005 kl 11:49 CEST
+*/
+
+
+// As simple as can be modeq communication, sending and recieving of strings.
+public interface ModeqCommunication extends ModeqCommunicationOperations, org.omg.CORBA.Object, org.omg.CORBA.portable.IDLEntity 
+{
+} // interface ModeqCommunication
Index: trunk/org.modelica.mdt/src/org/modelica/mdt/corba/ModeqCommunicationHelper.java
===================================================================
--- trunk/org.modelica.mdt/src/org/modelica/mdt/corba/ModeqCommunicationHelper.java	(revision 73)
+++ trunk/org.modelica.mdt/src/org/modelica/mdt/corba/ModeqCommunicationHelper.java	(revision 73)
@@ -0,0 +1,86 @@
+package org.modelica.mdt.corba;
+
+/**
+* ModeqCommunicationHelper.java .
+* Generated by the IDL-to-Java compiler (portable), version "3.2"
+* from modeq_communication.idl
+* den 7 oktober 2005 kl 11:49 CEST
+*/
+
+
+// As simple as can be modeq communication, sending and recieving of strings.
+abstract public class ModeqCommunicationHelper
+{
+  private static String  _id = "IDL:ModeqCommunication:1.0";
+
+  public static void insert (org.omg.CORBA.Any a, ModeqCommunication that)
+  {
+    org.omg.CORBA.portable.OutputStream out = a.create_output_stream ();
+    a.type (type ());
+    write (out, that);
+    a.read_value (out.create_input_stream (), type ());
+  }
+
+  public static ModeqCommunication extract (org.omg.CORBA.Any a)
+  {
+    return read (a.create_input_stream ());
+  }
+
+  private static org.omg.CORBA.TypeCode __typeCode = null;
+  synchronized public static org.omg.CORBA.TypeCode type ()
+  {
+    if (__typeCode == null)
+    {
+      __typeCode = org.omg.CORBA.ORB.init ().create_interface_tc (ModeqCommunicationHelper.id (), "ModeqCommunication");
+    }
+    return __typeCode;
+  }
+
+  public static String id ()
+  {
+    return _id;
+  }
+
+  public static ModeqCommunication read (org.omg.CORBA.portable.InputStream istream)
+  {
+    return narrow (istream.read_Object (_ModeqCommunicationStub.class));
+  }
+
+  public static void write (org.omg.CORBA.portable.OutputStream ostream, ModeqCommunication value)
+  {
+    ostream.write_Object ((org.omg.CORBA.Object) value);
+  }
+
+  public static ModeqCommunication narrow (org.omg.CORBA.Object obj)
+  {
+    if (obj == null)
+      return null;
+    else if (obj instanceof ModeqCommunication)
+      return (ModeqCommunication)obj;
+    else if (!obj._is_a (id ()))
+      throw new org.omg.CORBA.BAD_PARAM ();
+    else
+    {
+      org.omg.CORBA.portable.Delegate delegate = ((org.omg.CORBA.portable.ObjectImpl)obj)._get_delegate ();
+      _ModeqCommunicationStub stub = new _ModeqCommunicationStub ();
+      stub._set_delegate(delegate);
+      return stub;
+    }
+  }
+
+  public static ModeqCommunication unchecked_narrow (org.omg.CORBA.Object obj)
+  {
+    if (obj == null)
+      return null;
+    else if (obj instanceof ModeqCommunication)
+      return (ModeqCommunication)obj;
+    else
+    {
+      org.omg.CORBA.portable.Delegate delegate = ((org.omg.CORBA.portable.ObjectImpl)obj)._get_delegate ();
+      _ModeqCommunicationStub stub = new _ModeqCommunicationStub ();
+      stub._set_delegate(delegate);
+      return stub;
+    }
+  }
+
+}
Index: trunk/org.modelica.mdt/src/org/modelica/mdt/corba/ModeqCommunicationHolder.java
===================================================================
--- trunk/org.modelica.mdt/src/org/modelica/mdt/corba/ModeqCommunicationHolder.java	(revision 73)
+++ trunk/org.modelica.mdt/src/org/modelica/mdt/corba/ModeqCommunicationHolder.java	(revision 73)
@@ -0,0 +1,40 @@
+package org.modelica.mdt.corba;
+
+/**
+* ModeqCommunicationHolder.java .
+* Generated by the IDL-to-Java compiler (portable), version "3.2"
+* from modeq_communication.idl
+* den 7 oktober 2005 kl 11:49 CEST
+*/
+
+
+// As simple as can be modeq communication, sending and recieving of strings.
+public final class ModeqCommunicationHolder implements org.omg.CORBA.portable.Streamable
+{
+  public ModeqCommunication value = null;
+
+  public ModeqCommunicationHolder ()
+  {
+  }
+
+  public ModeqCommunicationHolder (ModeqCommunication initialValue)
+  {
+    value = initialValue;
+  }
+
+  public void _read (org.omg.CORBA.portable.InputStream i)
+  {
+    value = ModeqCommunicationHelper.read (i);
+  }
+
+  public void _write (org.omg.CORBA.portable.OutputStream o)
+  {
+    ModeqCommunicationHelper.write (o, value);
+  }
+
+  public org.omg.CORBA.TypeCode _type ()
+  {
+    return ModeqCommunicationHelper.type ();
+  }
+
+}
Index: trunk/org.modelica.mdt/src/org/modelica/mdt/corba/ModeqCommunicationImplementation.java
===================================================================
--- trunk/org.modelica.mdt/src/org/modelica/mdt/corba/ModeqCommunicationImplementation.java	(revision 73)
+++ trunk/org.modelica.mdt/src/org/modelica/mdt/corba/ModeqCommunicationImplementation.java	(revision 73)
@@ -0,0 +1,52 @@
+package org.modelica.mdt.corba;
+
+import org.modelica.mdt.MdtPlugin;
+import org.omg.CORBA.ORB;
+
+public class ModeqCommunicationImplementation
+{
+	static ORB orb;
+	static ModeqCommunication omcc;
+	static boolean hasInitialized = false;
+	
+	public static void init(String args[])
+	{
+		try
+		{
+			orb = ORB.init(args, null);
+			org.omg.CORBA.Object obj = orb.string_to_object("IOR:010000001b00000049444c3a4d6f646571436f6d6d756e69636174696f6e3a312e30000002000000000000002b000000010100000a0000003132372e302e302e31000f05130000002f323135362f313132393633363632392f5f30000100000024000000010000000100000001000000140000000100000001000100000000000901010000000000");
+			omcc = ModeqCommunicationHelper.narrow(obj);
+			sendExpression("loadModel(Modelica");
+		} 
+		catch(Exception e)
+		{
+			MdtPlugin.log(e);
+		}
+		hasInitialized = true;
+	}
+
+	public static String sendExpression(String exp)
+	{
+		String retval = null;
+		try
+		{
+			retval = omcc.sendExpression(exp);
+		}
+		catch(Exception e)
+		{
+			MdtPlugin.log(e);
+		}
+		return retval;
+	}
+
+	public static String sendClass(String exp)
+	{
+		String retval = null;
+		try {
+			retval = omcc.sendClass(exp);
+		} catch(Exception e) {
+			MdtPlugin.log(e);
+		}
+		return retval;
+	}
+}
Index: trunk/org.modelica.mdt/src/org/modelica/mdt/corba/ModeqCommunicationOperations.java
===================================================================
--- trunk/org.modelica.mdt/src/org/modelica/mdt/corba/ModeqCommunicationOperations.java	(revision 73)
+++ trunk/org.modelica.mdt/src/org/modelica/mdt/corba/ModeqCommunicationOperations.java	(revision 73)
@@ -0,0 +1,16 @@
+package org.modelica.mdt.corba;
+
+/**
+* ModeqCommunicationOperations.java .
+* Generated by the IDL-to-Java compiler (portable), version "3.2"
+* from modeq_communication.idl
+* den 7 oktober 2005 kl 11:49 CEST
+*/
+
+
+// As simple as can be modeq communication, sending and recieving of strings.
+public interface ModeqCommunicationOperations 
+{
+  String sendExpression (String expr);
+  String sendClass (String model);
+} // interface ModeqCommunicationOperations
Index: trunk/org.modelica.mdt/src/org/modelica/mdt/corba/_ModeqCommunicationStub.java
===================================================================
--- trunk/org.modelica.mdt/src/org/modelica/mdt/corba/_ModeqCommunicationStub.java	(revision 73)
+++ trunk/org.modelica.mdt/src/org/modelica/mdt/corba/_ModeqCommunicationStub.java	(revision 73)
@@ -0,0 +1,81 @@
+package org.modelica.mdt.corba;
+
+/**
+* _ModeqCommunicationStub.java .
+* Generated by the IDL-to-Java compiler (portable), version "3.2"
+* from modeq_communication.idl
+* den 7 oktober 2005 kl 11:49 CEST
+*/
+
+
+// As simple as can be modeq communication, sending and recieving of strings.
+public class _ModeqCommunicationStub extends org.omg.CORBA.portable.ObjectImpl implements ModeqCommunication
+{
+
+  public String sendExpression (String expr)
+  {
+            org.omg.CORBA.portable.InputStream $in = null;
+            try {
+                org.omg.CORBA.portable.OutputStream $out = _request ("sendExpression", true);
+                $out.write_string (expr);
+                $in = _invoke ($out);
+                String $result = $in.read_string ();
+                return $result;
+            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
+                $in = $ex.getInputStream ();
+                String _id = $ex.getId ();
+                throw new org.omg.CORBA.MARSHAL (_id);
+            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
+                return sendExpression (expr        );
+            } finally {
+                _releaseReply ($in);
+            }
+  } // sendExpression
+
+  public String sendClass (String model)
+  {
+            org.omg.CORBA.portable.InputStream $in = null;
+            try {
+                org.omg.CORBA.portable.OutputStream $out = _request ("sendClass", true);
+                $out.write_string (model);
+                $in = _invoke ($out);
+                String $result = $in.read_string ();
+                return $result;
+            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
+                $in = $ex.getInputStream ();
+                String _id = $ex.getId ();
+                throw new org.omg.CORBA.MARSHAL (_id);
+            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
+                return sendClass (model        );
+            } finally {
+                _releaseReply ($in);
+            }
+  } // sendClass
+
+  // Type-specific CORBA::Object operations
+  private static String[] __ids = {
+    "IDL:ModeqCommunication:1.0"};
+
+  public String[] _ids ()
+  {
+    return (String[])__ids.clone ();
+  }
+
+  private void readObject (java.io.ObjectInputStream s) throws java.io.IOException
+  {
+     String str = s.readUTF ();
+     String[] args = null;
+     java.util.Properties props = null;
+     org.omg.CORBA.Object obj = org.omg.CORBA.ORB.init (args, props).string_to_object (str);
+     org.omg.CORBA.portable.Delegate delegate = ((org.omg.CORBA.portable.ObjectImpl) obj)._get_delegate ();
+     _set_delegate (delegate);
+  }
+
+  private void writeObject (java.io.ObjectOutputStream s) throws java.io.IOException
+  {
+     String[] args = null;
+     java.util.Properties props = null;
+     String str = org.omg.CORBA.ORB.init (args, props).object_to_string (this);
+     s.writeUTF (str);
+  }
+} // class _ModeqCommunicationStub