Index: trunk/org.modelica.mdt.omc/src/org/modelica/mdt/omc/OMCProxy.java
===================================================================
--- trunk/org.modelica.mdt.omc/src/org/modelica/mdt/omc/OMCProxy.java	(revision 258)
+++ trunk/org.modelica.mdt.omc/src/org/modelica/mdt/omc/OMCProxy.java	(revision 261)
@@ -61,6 +61,6 @@
 import org.modelica.mdt.omc.internal.ParseResults;
 import org.modelica.mdt.omc.internal.OMCParser;
-import org.modelica.omc.internal.corba.OmcCommunication;
-import org.modelica.omc.internal.corba.OmcCommunicationHelper;
+import org.modelica.mdt.omc.internal.corba.OmcCommunication;
+import org.modelica.mdt.omc.internal.corba.OmcCommunicationHelper;
 import org.omg.CORBA.ORB;
 
Index: trunk/org.modelica.mdt.omc/src/org/modelica/mdt/omc/internal/corba/OmcCommunication.java
===================================================================
--- trunk/org.modelica.mdt.omc/src/org/modelica/mdt/omc/internal/corba/OmcCommunication.java	(revision 261)
+++ trunk/org.modelica.mdt.omc/src/org/modelica/mdt/omc/internal/corba/OmcCommunication.java	(revision 261)
@@ -0,0 +1,15 @@
+package org.modelica.mdt.omc.internal.corba;
+
+
+/**
+* OmcCommunication.java .
+* Generated by the IDL-to-Java compiler (portable), version "3.2"
+* from omc_communication.idl
+* Thursday, October 27, 2005 10:11:20 AM CEST
+*/
+
+
+// As simple as can be omc communication, sending and recieving of strings.
+public interface OmcCommunication extends OmcCommunicationOperations, org.omg.CORBA.Object, org.omg.CORBA.portable.IDLEntity 
+{
+} // interface OmcCommunication
Index: trunk/org.modelica.mdt.omc/src/org/modelica/mdt/omc/internal/corba/OmcCommunicationHelper.java
===================================================================
--- trunk/org.modelica.mdt.omc/src/org/modelica/mdt/omc/internal/corba/OmcCommunicationHelper.java	(revision 261)
+++ trunk/org.modelica.mdt.omc/src/org/modelica/mdt/omc/internal/corba/OmcCommunicationHelper.java	(revision 261)
@@ -0,0 +1,87 @@
+package org.modelica.mdt.omc.internal.corba;
+
+
+/**
+* OmcCommunicationHelper.java .
+* Generated by the IDL-to-Java compiler (portable), version "3.2"
+* from omc_communication.idl
+* Thursday, October 27, 2005 10:11:20 AM CEST
+*/
+
+
+// As simple as can be omc communication, sending and recieving of strings.
+abstract public class OmcCommunicationHelper
+{
+  private static String  _id = "IDL:OmcCommunication:1.0";
+
+  public static void insert (org.omg.CORBA.Any a, OmcCommunication that)
+  {
+    org.omg.CORBA.portable.OutputStream out = a.create_output_stream ();
+    a.type (type ());
+    write (out, that);
+    a.read_value (out.create_input_stream (), type ());
+  }
+
+  public static OmcCommunication extract (org.omg.CORBA.Any a)
+  {
+    return read (a.create_input_stream ());
+  }
+
+  private static org.omg.CORBA.TypeCode __typeCode = null;
+  synchronized public static org.omg.CORBA.TypeCode type ()
+  {
+    if (__typeCode == null)
+    {
+      __typeCode = org.omg.CORBA.ORB.init ().create_interface_tc (OmcCommunicationHelper.id (), "OmcCommunication");
+    }
+    return __typeCode;
+  }
+
+  public static String id ()
+  {
+    return _id;
+  }
+
+  public static OmcCommunication read (org.omg.CORBA.portable.InputStream istream)
+  {
+    return narrow (istream.read_Object (_OmcCommunicationStub.class));
+  }
+
+  public static void write (org.omg.CORBA.portable.OutputStream ostream, OmcCommunication value)
+  {
+    ostream.write_Object ((org.omg.CORBA.Object) value);
+  }
+
+  public static OmcCommunication narrow (org.omg.CORBA.Object obj)
+  {
+    if (obj == null)
+      return null;
+    else if (obj instanceof OmcCommunication)
+      return (OmcCommunication)obj;
+    else if (!obj._is_a (id ()))
+      throw new org.omg.CORBA.BAD_PARAM ();
+    else
+    {
+      org.omg.CORBA.portable.Delegate delegate = ((org.omg.CORBA.portable.ObjectImpl)obj)._get_delegate ();
+      _OmcCommunicationStub stub = new _OmcCommunicationStub ();
+      stub._set_delegate(delegate);
+      return stub;
+    }
+  }
+
+  public static OmcCommunication unchecked_narrow (org.omg.CORBA.Object obj)
+  {
+    if (obj == null)
+      return null;
+    else if (obj instanceof OmcCommunication)
+      return (OmcCommunication)obj;
+    else
+    {
+      org.omg.CORBA.portable.Delegate delegate = ((org.omg.CORBA.portable.ObjectImpl)obj)._get_delegate ();
+      _OmcCommunicationStub stub = new _OmcCommunicationStub ();
+      stub._set_delegate(delegate);
+      return stub;
+    }
+  }
+
+}
Index: trunk/org.modelica.mdt.omc/src/org/modelica/mdt/omc/internal/corba/OmcCommunicationHolder.java
===================================================================
--- trunk/org.modelica.mdt.omc/src/org/modelica/mdt/omc/internal/corba/OmcCommunicationHolder.java	(revision 261)
+++ trunk/org.modelica.mdt.omc/src/org/modelica/mdt/omc/internal/corba/OmcCommunicationHolder.java	(revision 261)
@@ -0,0 +1,41 @@
+package org.modelica.mdt.omc.internal.corba;
+
+
+/**
+* OmcCommunicationHolder.java .
+* Generated by the IDL-to-Java compiler (portable), version "3.2"
+* from omc_communication.idl
+* Thursday, October 27, 2005 10:11:20 AM CEST
+*/
+
+
+// As simple as can be omc communication, sending and recieving of strings.
+public final class OmcCommunicationHolder implements org.omg.CORBA.portable.Streamable
+{
+  public OmcCommunication value = null;
+
+  public OmcCommunicationHolder ()
+  {
+  }
+
+  public OmcCommunicationHolder (OmcCommunication initialValue)
+  {
+    value = initialValue;
+  }
+
+  public void _read (org.omg.CORBA.portable.InputStream i)
+  {
+    value = OmcCommunicationHelper.read (i);
+  }
+
+  public void _write (org.omg.CORBA.portable.OutputStream o)
+  {
+    OmcCommunicationHelper.write (o, value);
+  }
+
+  public org.omg.CORBA.TypeCode _type ()
+  {
+    return OmcCommunicationHelper.type ();
+  }
+
+}
Index: trunk/org.modelica.mdt.omc/src/org/modelica/mdt/omc/internal/corba/OmcCommunicationOperations.java
===================================================================
--- trunk/org.modelica.mdt.omc/src/org/modelica/mdt/omc/internal/corba/OmcCommunicationOperations.java	(revision 261)
+++ trunk/org.modelica.mdt.omc/src/org/modelica/mdt/omc/internal/corba/OmcCommunicationOperations.java	(revision 261)
@@ -0,0 +1,16 @@
+package org.modelica.mdt.omc.internal.corba;
+
+/**
+* OmcCommunicationOperations.java .
+* Generated by the IDL-to-Java compiler (portable), version "3.2"
+* from omc_communication.idl
+* Thursday, October 27, 2005 10:11:20 AM CEST
+*/
+
+
+// As simple as can be omc communication, sending and recieving of strings.
+public interface OmcCommunicationOperations 
+{
+  String sendExpression (String expr);
+  String sendClass (String model);
+} // interface OmcCommunicationOperations
Index: trunk/org.modelica.mdt.omc/src/org/modelica/mdt/omc/internal/corba/_OmcCommunicationStub.java
===================================================================
--- trunk/org.modelica.mdt.omc/src/org/modelica/mdt/omc/internal/corba/_OmcCommunicationStub.java	(revision 261)
+++ trunk/org.modelica.mdt.omc/src/org/modelica/mdt/omc/internal/corba/_OmcCommunicationStub.java	(revision 261)
@@ -0,0 +1,87 @@
+package org.modelica.mdt.omc.internal.corba;
+
+
+/**
+* _OmcCommunicationStub.java .
+* Generated by the IDL-to-Java compiler (portable), version "3.2"
+* from omc_communication.idl
+* Thursday, October 27, 2005 10:11:20 AM CEST
+*/
+
+
+// As simple as can be omc communication, sending and recieving of strings.
+public class _OmcCommunicationStub extends org.omg.CORBA.portable.ObjectImpl implements OmcCommunication
+{
+
+  /**
+	 * 
+	 */
+	private static final long serialVersionUID = -2199076960265794510L;
+
+public String sendExpression (String expr)
+  {
+            org.omg.CORBA.portable.InputStream $in = null;
+            try {
+                org.omg.CORBA.portable.OutputStream $out = _request ("sendExpression", true);
+                $out.write_string (expr);
+                $in = _invoke ($out);
+                String $result = $in.read_string ();
+                return $result;
+            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
+                $in = $ex.getInputStream ();
+                String _id = $ex.getId ();
+                throw new org.omg.CORBA.MARSHAL (_id);
+            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
+                return sendExpression (expr        );
+            } finally {
+                _releaseReply ($in);
+            }
+  } // sendExpression
+
+  public String sendClass (String model)
+  {
+            org.omg.CORBA.portable.InputStream $in = null;
+            try {
+                org.omg.CORBA.portable.OutputStream $out = _request ("sendClass", true);
+                $out.write_string (model);
+                $in = _invoke ($out);
+                String $result = $in.read_string ();
+                return $result;
+            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
+                $in = $ex.getInputStream ();
+                String _id = $ex.getId ();
+                throw new org.omg.CORBA.MARSHAL (_id);
+            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
+                return sendClass (model        );
+            } finally {
+                _releaseReply ($in);
+            }
+  } // sendClass
+
+  // Type-specific CORBA::Object operations
+  private static String[] __ids = {
+    "IDL:OmcCommunication:1.0"};
+
+  public String[] _ids ()
+  {
+    return (String[])__ids.clone ();
+  }
+
+  private void readObject (java.io.ObjectInputStream s) throws java.io.IOException
+  {
+     String str = s.readUTF ();
+     String[] args = null;
+     java.util.Properties props = null;
+     org.omg.CORBA.Object obj = org.omg.CORBA.ORB.init (args, props).string_to_object (str);
+     org.omg.CORBA.portable.Delegate delegate = ((org.omg.CORBA.portable.ObjectImpl) obj)._get_delegate ();
+     _set_delegate (delegate);
+  }
+
+  private void writeObject (java.io.ObjectOutputStream s) throws java.io.IOException
+  {
+     String[] args = null;
+     java.util.Properties props = null;
+     String str = org.omg.CORBA.ORB.init (args, props).object_to_string (this);
+     s.writeUTF (str);
+  }
+} // class _OmcCommunicationStub